Page MenuHomePhabricator

Codfw row C/D switch installation & configuration
Open, MediumPublic

Description

Master task to track the installation and configuration of new Spine and Leaf switch devices for codfw rows C and D. When complete we can begin the process of migrating server uplinks from old to new switches.

Event Timeline

cmooney triaged this task as Medium priority.May 3 2024, 10:16 AM
cmooney created this task.

Change #1030115 had a related patch set uploaded (by Cathal Mooney; author: Cathal Mooney):

[operations/dns@master] Add reverse DNS entries for new codfw private subnets

https://gerrit.wikimedia.org/r/1030115

Change #1030115 merged by Cathal Mooney:

[operations/dns@master] Add reverse DNS entries for new codfw private subnets

https://gerrit.wikimedia.org/r/1030115

Change #1031031 had a related patch set uploaded (by Cathal Mooney; author: Cathal Mooney):

[operations/dns@master] Add includes for netbox-generated PTRs for new spine-core links

https://gerrit.wikimedia.org/r/1031031

Change #1031031 merged by Cathal Mooney:

[operations/dns@master] Add includes for netbox-generated PTRs for new spine-core links

https://gerrit.wikimedia.org/r/1031031

Change #1034889 had a related patch set uploaded (by Cathal Mooney; author: Cathal Mooney):

[operations/homer/public@master] Change EVPN BGP YAML to group into clusters and add codfw switches

https://gerrit.wikimedia.org/r/1034889

Change #1034889 merged by jenkins-bot:

[operations/homer/public@master] Change EVPN BGP YAML to group into clusters and add codfw switches

https://gerrit.wikimedia.org/r/1034889

Mentioned in SAL (#wikimedia-operations) [2024-06-07T14:55:05Z] <topranks> enabling port et-1/0/2 for 100G mode on cr2-codfw T364095

Icinga downtime and Alertmanager silence (ID=4f6d5735-139a-4c58-be67-6179e7c2ab71) set by cmooney@cumin1002 for 1:00:00 on 3 host(s) and their services with reason: bouncing fpc 1 pic 0 on cr2-codfw

cr2-codfw,cr2-codfw IPv6,re0.cr2-codfw.mgmt
This comment was removed by cmooney.

Mentioned in SAL (#wikimedia-operations) [2024-06-07T17:23:54Z] <topranks> disable IP transit to Lumen AS3356 from cr2-eqiad to allow line card reset T364095

Mentioned in SAL (#wikimedia-operations) [2024-06-07T17:24:54Z] <topranks> re-route traffic from cr2-eqord away from circuit to cr2-codfw to allow for line card reset T364095

Icinga downtime and Alertmanager silence (ID=ef0faea2-9357-469a-a5c3-aa5b1c50c748) set by cmooney@cumin1002 for 0:20:00 on 3 host(s) and their services with reason: bouncing fpc 1 pic 0 on cr2-codfw

cloudsw1-b1-codfw.mgmt,cr2-eqord,pfw3-codfw

Mentioned in SAL (#wikimedia-operations) [2024-06-07T17:31:33Z] <topranks> resetting line card 1/0 on cr2-codfw to enable new 100G link to ssw1-d8-codfw T364095

Mentioned in SAL (#wikimedia-operations) [2024-06-25T18:06:15Z] <topranks> bringing up link from ssw1-a1-codfw to ssw1-d1-codfw T364095

Jhancock.wm closed subtask Unknown Object (Task) as Resolved.Fri, Jun 28, 2:16 PM

Mentioned in SAL (#wikimedia-operations) [2024-07-19T17:12:45Z] <topranks> adding irb ints for row c/d vlans to codfw leaf switches in those rows T364095